%global plugin_name favorite

Summary:    This plugin allows you to mark a job a favorite
Name:       jenkins-plugin-%{plugin_name}
Version:    2.0.4
Release:    1%{?dist}
License:    MIT
URL:        https://plugins.jenkins.io/blueocean-pipeline-api-impl
# AltURL:   https://github.com/jenkinsci/blueocean-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 2.7.1
Requires:   jenkins-plugin-matrix-project
Requires:   jenkins-plugin-mailer

%description
This plugin allows you to mark a job a favorite.

This is controlled via a list view column you need to add to a view. 
You can then click on a star to favorite or unfavorite a job. There 
is also a job filter to allow you to create a view that only shows 
your favorites. 

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Fri Apr 28 2017 Troy Dawson <tdawson@redhat.com> - 2.0.4-1
- Update to 2.0.4

